/*  help.c - Functions providing help to the user.
 *  Copyright (C) 2001 Kristof Verniers
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdio.h>
#include <mysql.h>
#include "ts.h"

void syntax(int helptopic)
{
  switch (helptopic) {
    case HELP_GENERAL:
      printf("ts version %s: A command-line timesheet system.\n", VERSION);
      printf("Usage: ts {customer|project|timesheet|start|stop} <options>\n");
      printf("\n");
      printf("Customers\n\n");
      printf("  Creating a customer:\n");
      printf("    ts customer add <customer key> <full name>\n");
      printf("  Deleting a customer:\n");
      printf("    ts customer del <customer key>\n");
      printf("  Listing all customers:\n");
      printf("    ts customer list\n\n");
      printf("Projects\n\n");
      printf("  Creating a project:\n");
      printf("    ts project add <customer key> <project key> <project name>\n");
      printf("  Deleting a project:\n");
      printf("    ts project del <customer key> <project key>\n");
      printf("  Listing projects:\n");
      printf("    ts project list\n");
      printf("    ts project list <customer key>\n");
      printf("    ts project list <customer key> <project key>\n\n");
      printf("Timesheets\n\n");
      printf("  Starting a timesheet:\n");
      printf("    ts start <customer key> <project key>\n");
      printf("  Stopping a timesheet:\n");
      printf("    ts start <customer key> <project key> (description)\n");
      printf("  Listing timesheets:\n");
      printf("    ts timesheet list <customer key> <project key>\n");
      printf("  Modifying a timesheet:\n");
      printf("    ts timesheet modify <timesheet id> {start|stop|remark} <value>\n");
      printf("  Deleting a timesheet:\n");
      printf("    ts timesheet del <id>\n");
      break;
    case HELP_ADD_CUSTOMER:
      printf("ts customer add <customer key> <full name>\n");
      break;
    case HELP_ADD_PROJECT:
      printf("ts project add <customer key> <project key> <project name>\n");
      break;
    case HELP_DEL_CUSTOMER:
      printf("ts customer del <customer key>\n");
      break;
    case HELP_DEL_PROJECT:
      printf("ts project del <customer key> <project key>\n");
      break;
    case HELP_LIST_PROJECTS:
      printf("ts project list\n");
      printf("ts project list <customer key>\n");
      printf("ts project list <customer key> <project key>\n");
      break;
    case HELP_START:
      printf("ts start <customer key> <project key>\n");
      break;
    case HELP_STOP:
      printf("ts stop <customer key> <project key>\n");
      break;
    case HELP_LIST_TIMESHEETS:
      printf("ts timesheet list <customer key> <project key>\n");
      break;
    case HELP_DEL_TIMESHEET:
      printf("ts timesheet del <timesheet key>\n");
      break;
    case HELP_MODIFY_TIMESHEET:
      printf("ts timesheet modify <timesheet id> {start|stop|remark} <new value>\n");
      break;
  }
}


